summaryrefslogtreecommitdiff
path: root/pcr/emacs-git/emacs-git.install
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2015-05-06 21:07:37 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2015-05-06 21:07:37 -0500
commit8bb1cab7c93347d2fdf88abc44a304471e2d2f57 (patch)
tree75778c49f2bc995c37338983f569f5b16bb61154 /pcr/emacs-git/emacs-git.install
parent06a050a4dbabd8e0a7e607835dd7629fdfe6d146 (diff)
downloadabslibre-8bb1cab7c93347d2fdf88abc44a304471e2d2f57.tar.gz
abslibre-8bb1cab7c93347d2fdf88abc44a304471e2d2f57.tar.bz2
abslibre-8bb1cab7c93347d2fdf88abc44a304471e2d2f57.zip
emacs-git-25.0.50.r120799-1: updating version
Diffstat (limited to 'pcr/emacs-git/emacs-git.install')
-rw-r--r--pcr/emacs-git/emacs-git.install32
1 files changed, 32 insertions, 0 deletions
diff --git a/pcr/emacs-git/emacs-git.install b/pcr/emacs-git/emacs-git.install
new file mode 100644
index 000000000..6712f44ba
--- /dev/null
+++ b/pcr/emacs-git/emacs-git.install
@@ -0,0 +1,32 @@
+ICON_PATH=usr/share/icons/hicolor
+INFO_DIR=usr/share/info
+
+INFO_FILES=(ada-mode auth autotype bovine calc ccmode cl dbus dired-x ebrowse
+ede ediff edt efaq eieio eintr elisp emacs emacs-gnutls emacs-mime epa erc ert eshell eudc flymake
+forms gnus htmlfontify idlwave mairix-el message mh-e newsticker nxml-mode
+org pcl-cvs pgg rcirc reftex remember sasl sc semantic ses sieve smtpmail
+speedbar srecode tramp url vip viper widget wisent woman)
+
+post_install() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ gtk-update-icon-cache -q -t -f ${ICON_PATH}
+ update-desktop-database -q
+
+ [[ -x usr/bin/install-info ]] || return 0
+ for f in ${INFO_FILES[@]}; do
+ install-info --delete ${INFO_DIR}/$f.info.gz ${INFO_DIR}/dir 2> /dev/null
+ done
+}